<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <?php if ($permissions->hasPermission('add_kitchen_note')) {
    echo Forms::FloatingAddButton('4c0870', '#add_edit_kitchen_note_modal', CommonLanguage::getMessage('Add'), 'add_kitchen_note');} ?>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered inventory" id="tableWithSearch">
                    <thead>
                        <tr>
                            <th><?php print CommonLanguage::getMessage('note') ?></th>
                            <th><?php print CommonLanguage::getMessage('type') ?></th>
                            <th><?php print CommonLanguage::getMessage('Action') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    var title = <?php echo json_encode(CommonLanguage::getMessage('kitchen_note_list')); ?>,
        delete_modal = <?php
            echo json_encode([CommonLanguage::getMessage('Confirm_Delete'),
                              CommonLanguage::getMessage('About_To_Delete'),
                              CommonLanguage::getMessage('Proceed_Delete'),
                              CommonLanguage::getMessage('Close'),
                              CommonLanguage::getMessage('delete'),
                              CommonLanguage::getMessage('Deleted_Successfully')
                             ]);
            ?>;
        $(function () {
            RebuildDataTable(title, [0], 'RestaurantAjax/kitchen_note_list',1);
            $('#tableWithSearch').on('click', '.delete', function () {
                var kitchen_note_id = $(this).parents('div.Action').attr('data-id')
                IncludeDeleteModal(delete_modal, {entry_value: kitchen_note_id}, function () {
                    RebuildDataTable(title, [0], 'RestaurantAjax/kitchen_note_list',1);
                }, "RestaurantAjax/deleteKitchenNote");
            });
        });
</script>
<?php if ($permissions->hasPermission('add_kitchen_note') || $permissions->hasPermission('edit_kitchen_note')) {
    include 'Views/Inventory/add-edit-kitchen-note-modal.php';
}
